IBUS(4) | Device Drivers Manual (pmax) | IBUS(4)

# NAME

`ibus` —
pmax internal I/O space driver

# SYNOPSIS

`ibus0 at mainbus0`
`ibus0 at tc? slot ? offset ?`

# DESCRIPTION

`ibus` is a virtual device corresponding to the pmax internal I/O space found on DEC 2100, 3100, 5100 and 5000/200 systems.

Internal I/O space spans the pmax physical address space, and is mapped permanently in the kernel virtual space at the very early time of the kernel startup procedure.

`ibus` driver manages the internal I/O space of pmax.

- Address range management to avoid confliction of address space of which devices probe by touching hardware port is difficult.
- Interrupt vector management.
- bus_space(9) and bus_dma(9) implementation.
- Other utility functions.

`ibus` is always required to run the NetBSD kernel.

# SEE ALSO

pmax/intro(4), bus_dma(9), bus_space(9)

February 17, 2017 | NetBSD 9.2